## org.apache.http.impl.cookie
Class RFC2109SpecFactory

    java.lang.Object
      org.apache.http.impl.cookie.RFC2109SpecFactory

All Implemented Interfaces:
  CookieSpecFactory

    @Immutable
    public class RFC2109SpecFactory

extends Object
implements CookieSpecFactory

`CookieSpecFactory` implementation that creates and initializes `RFC2109Spec` instances.

The following parameters can be used to customize the behavior of this class:

- `CookieSpecPNames.DATE_PATTERNS`
- `CookieSpecPNames.SINGLE_COOKIE_HEADER`

Since:
  4.0

Constructor Summary
`RFC2109SpecFactory()`

Method Summary
`CookieSpec` `newInstance(HttpParams params)` Creates an instance of `CookieSpec` using given HTTP parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RFC2109SpecFactory

    public RFC2109SpecFactory()

Method Detail

### newInstance

    public CookieSpec newInstance(HttpParams params)

  Description copied from interface: `CookieSpecFactory`
  Creates an instance of `CookieSpec` using given HTTP parameters.

  Specified by:
    `newInstance` in interface `CookieSpecFactory`
  Parameters:
    `params` - HTTP parameters.
  Returns:
    cookie spec.

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.